# $Id$
# Authority: lsn
# Upstream: 

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4

Name		: raidmon
Version		: 1.4.6
Release		: 2.el4.lsn

License		: GPL
Summary		: Software RAID monitoring tool
Group		: System Environment/Daemons

URL		: http://www.invoca.ch/pub/packages/raidmon/
Vendor		: Invoca Systems
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: %{name}.init-%{version}
Source1		: %{name}.cfg
Source2		: %{name}.cron
Source3		: README.%{name}
Source4		: CREDITS.%{name}
Source5		: http://www.gnu.org/licenses/gpl.txt

Buildarch		: noarch

Prereq		: /sbin/chkconfig, /usr/bin/beep
Requires	: sendEmail >= 1.50

%description
Raidmon is a shell script which runs as a daemon and monitors software
RAID devices (Linux MD). It starts to beep when a disk fails or while
a RAID device is resyncing after an unclean shutdown. Every event also
triggers the email alert mechanism which sends mail to one or more
persons with the details of whats going on.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}
%{__install} -c -m 644 %{SOURCE3} %{_builddir}/%{name}-%{version}/README
%{__install} -c -m 644 %{SOURCE4} %{_builddir}/%{name}-%{version}/CREDITS
%{__install} -c -m 644 %{SOURCE5} %{_builddir}/%{name}-%{version}/LICENSE

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -d %{buildroot}%{_bindir}

%{__install} -c -m 755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -c -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__install} -c -m 755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}
%{__ln_s} %{_sysconfdir}/rc.d/init.d/%{name} %{buildroot}%{_bindir}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %config %{_sysconfdir}/rc.d/init.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0755,root,root) %config %{_sysconfdir}/cron.daily/%{name}
%{_bindir}/%{name}
%doc %{name}-%{version}/README %{name}-%{version}/CREDITS %{name}-%{version}/LICENSE

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 = 0 ]; then
  /sbin/service %{name} stop >/dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%changelog
* Sat Jan 14 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Updated specfile.
